MantisBT
Mantis Bug Tracker Workflow

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0028567Open CASCADE[OCCT] OCCT:Modeling Algorithmspublic2017-03-17 13:542017-09-29 16:25
Reporteremv 
Assigned Tobugmaster 
PrioritynormalSeverityminor 
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version[OCCT] 7.1.0 
Target Version[OCCT] 7.2.0Fixed in Version[OCCT] 7.2.0 
Summary0028567: Get rid of the unused DRAW commands based on old Boolean Operations (BRepAlgo)
DescriptionThe issue is intended to removal/replacement of the unused DRAW commands based on the old Boolean operations (BRepAlgo).
Steps To ReproduceNot needed.
TagsNo tags attached.
Test case numberNot needed
Attached Files

- Relationships
related to 0028575assignedemv Removal of the old Boolean Operations algorithm - BRepAlgo_BooleanOperation 

-  Notes
(0064428)
git (administrator)
2017-03-20 09:45

Branch CR28567 has been created by emv.

SHA-1: d97401455e66014ace7f857059395818aae9ce28


Detailed log of new commits:

Author: emv
Date: Fri Mar 17 14:33:50 2017 +0300

    0028567: Get rid of the unused DRAW commands based on old Boolean Operations (BRepAlgo)
    
    1. Removal of the traces of the usage of old Boolean operations in BRepFeat package.
    
    2. The DRAW commands *fubl* and *cubl* based on old Boolean operations have been removed.
    The alternative for these commands are the commands *bfuseblend* and *bcutblend* respectively.
    The last two commands are based on the modern Boolean operations.
    
    3. The DRAW command *ksection* based on old Boolean operations has been removed.
    The command *bsection* should be used as alternative.
    
    Test cases which have been using the *ksection* command have been modified to use the *bsection* command.
    
    4. The class QANewBRepNaming_BooleanOperation has been modified to use modern Boolean operations.
(0064429)
emv (developer)
2017-03-20 09:47

Dear Mikhail, could you please review the git branch CR28567?
(0064542)
msv (developer)
2017-03-20 17:35

Remarks:

tests\bugs\modalg_1\buc60682
tests\bugs\modalg_1\buc60744
tests\bugs\modalg_4\pro19626
- Why checksection output is checked only for inclusion of "3"?

src\QANewBRepNaming\QANewBRepNaming_BooleanOperation.cxx
src\QANewBRepNaming\QANewBRepNaming_BooleanOperation.hxx
- The class QANewBRepNaming_BooleanOperation is unused and can be removed.
(0064562)
git (administrator)
2017-03-21 09:00

Branch CR28567 has been updated by emv.

SHA-1: 9598a5250d6415aa75123a6da779aa8bb7015ac7


Detailed log of new commits:

Author: emv
Date: Tue Mar 21 08:38:26 2017 +0300

    The class QANewBRepNaming_BooleanOperation has been removed as not used.
    The class QANewBRepNaming_BooleanOperationFeat has been renamed to QANewBRepNaming_BooleanOperation as it has nothing to do with Feat algorithm.

(0064563)
emv (developer)
2017-03-21 09:03

1. - Why checksection output is checked only for inclusion of "3"?
It is because there should be only two alone vertices - alone_1 alone_2.
alone_3 should not be present.

Anyway, to make the check more clear I have corrected it in the following way:
if {[lindex [checksection result] 4] != 2} { puts "Error"}

2. QANewBRepNaming_BooleanOperation has been removed.
QANewBRepNaming_BooleanOperationFeat has been renamed to QANewBRepNaming_BooleanOperation as it has nothing to do with Feat algorithm.

Please review.
(0064566)
msv (developer)
2017-03-21 10:02

Reviewed.
(0064624)
mkv (tester)
2017-03-22 16:15

Dear BugMaster,
Branch CR28567 from occt git-repository (and master from products git-repository) was compiled on Linux, MacOS and Windows platforms and tested on Release mode.
SHA-1: 9598a5250d6415aa75123a6da779aa8bb7015ac7

Number of compiler warnings:

occt component :
Linux: 0 (0 on master)
Windows: 0 (0 on master)
MacOS : 0 (0 on master)

products component :
Linux: 64 (64 on master)
Windows: 0 (0 on master)
MacOS : 1214

Regressions/Differences/Improvements:
No regressions/differences

Testing cases:
Not needed

Testing on Linux:
occt component :
Total MEMORY difference: 93056919 / 92527226 [+0.57%]
Total CPU difference: 20260.180000000193 / 20186.830000000107 [+0.36%]
products component :
Total MEMORY difference: 31061491 / 31146794 [-0.27%]
Total CPU difference: 5451.509999999988 / 5412.149999999975 [+0.73%]
Testing on Windows:
occt component :
Total MEMORY difference: 57780781 / 57782265 [-0.00%]
Total CPU difference: 18822.17585419853 / 18782.551600198512 [+0.21%]
products component :
Total MEMORY difference: 22292563 / 22254740 [+0.17%]
Total CPU difference: 5470.175064999971 / 5421.409152399973 [+0.90%]

There are following differences in images found by testdiff.
http://occt-tests/CR28567-master-OCCT/Windows-64-VC10/diff-Windows-64-VC10-image.html [^]
IMAGE bugs modalg_1 buc60682: buc60682.png differs - Improvement
(0064625)
mkv (tester)
2017-03-22 16:15

Dear BugMaster,
Branch CR28567 is TESTED.
(0065928)
git (administrator)
2017-05-12 11:36

Branch CR28567 has been deleted by kgv.

SHA-1: 9598a5250d6415aa75123a6da779aa8bb7015ac7

- Related Changesets
occt: master e45b5ff7
Timestamp: 2017-03-17 11:33:50
Author: emv
Committer: bugmaster
Details ] Diff ]
0028567: Get rid of the unused DRAW commands based on old Boolean Operations (BRepAlgo)

1. Removal of the traces of the usage of old Boolean operations in BRepFeat package.

2. The DRAW commands *fubl* and *cubl* based on old Boolean operations have been removed.
The alternative for these commands are the commands *bfuseblend* and *bcutblend* respectively.
The last two commands are based on the modern Boolean operations.

3. The DRAW command *ksection* based on old Boolean operations has been removed.
The command *bsection* should be used as alternative.

Test cases which have been using the *ksection* command have been modified to use the *bsection* command.

4. The class QANewBRepNaming_BooleanOperation has been modified to use modern Boolean operations.

The class QANewBRepNaming_BooleanOperation has been removed as not used.
The class QANewBRepNaming_BooleanOperationFeat has been renamed to QANewBRepNaming_BooleanOperation as it has nothing to do with Feat algorithm.
mod - dox/dev_guides/upgrade/upgrade.md Diff ] File ]
mod - dox/user_guides/draw_test_harness/draw_test_harness.md Diff ] File ]
mod - src/BRepFeat/BRepFeat.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_Form.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeDPrism.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeLinearForm.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakePipe.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevol.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_MakeRevolutionForm.cxx Diff ] File ]
mod - src/BRepFeat/BRepFeat_RibSlot.cxx Diff ] File ]
mod - src/BRepTest/BRepTest_FilletCommands.cxx Diff ] File ]
mod - src/QABugs/QABugs_3.cxx Diff ] File ]
mod - src/QANewBRepNaming/FILES Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming.hxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_BooleanOperation.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_BooleanOperation.hxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_BooleanOperationFeat.cxx Diff ] File ]
rm - src/QANewBRepNaming/QANewBRepNaming_BooleanOperationFeat.hxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Common.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Common.hxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Cut.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Cut.hxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Fuse.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Fuse.hxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Intersection.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Intersection.hxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Limitation.cxx Diff ] File ]
mod - src/QANewBRepNaming/QANewBRepNaming_Limitation.hxx Diff ] File ]
mod - src/QANewDBRepNaming/QANewDBRepNaming_FeatureCommands.cxx Diff ] File ]
mod - src/ViewerTest/ViewerTest_FilletCommands.cxx Diff ] File ]
mod - tests/bugs/modalg_1/buc60669 Diff ] File ]
mod - tests/bugs/modalg_1/buc60682 Diff ] File ]
mod - tests/bugs/modalg_1/buc60744 Diff ] File ]
mod - tests/bugs/modalg_4/pro19626 Diff ] File ]

- Issue History
Date Modified Username Field Change
2017-03-17 13:54 emv New Issue
2017-03-17 13:54 emv Assigned To => msv
2017-03-17 13:59 emv Assigned To msv => emv
2017-03-17 13:59 emv Status new => assigned
2017-03-20 09:45 git Note Added: 0064428
2017-03-20 09:47 emv Relationship added related to 0028562
2017-03-20 09:47 emv Note Added: 0064429
2017-03-20 09:47 emv Assigned To emv => msv
2017-03-20 09:47 emv Status assigned => resolved
2017-03-20 09:47 emv Steps to Reproduce Updated View Revisions
2017-03-20 09:53 emv Relationship added related to 0028573
2017-03-20 14:36 emv Relationship added related to 0028574
2017-03-20 14:50 emv Relationship deleted related to 0028574
2017-03-20 14:50 emv Relationship deleted related to 0028562
2017-03-20 14:51 emv Relationship deleted related to 0028573
2017-03-20 14:51 emv Relationship added related to 0028575
2017-03-20 17:35 msv Note Added: 0064542
2017-03-20 17:35 msv Assigned To msv => emv
2017-03-20 17:35 msv Status resolved => assigned
2017-03-21 09:00 git Note Added: 0064562
2017-03-21 09:03 emv Note Added: 0064563
2017-03-21 09:03 emv Assigned To emv => msv
2017-03-21 09:03 emv Status assigned => resolved
2017-03-21 10:02 msv Note Added: 0064566
2017-03-21 10:02 msv Assigned To msv => bugmaster
2017-03-21 10:02 msv Status resolved => reviewed
2017-03-21 15:08 apv Assigned To bugmaster => mkv
2017-03-22 16:15 mkv Note Added: 0064624
2017-03-22 16:15 mkv Note Added: 0064625
2017-03-22 16:15 mkv Assigned To mkv => bugmaster
2017-03-22 16:15 mkv Status reviewed => tested
2017-03-22 16:15 mkv Test case number => Not needed
2017-03-24 15:53 bugmaster Changeset attached => occt master e45b5ff7
2017-03-24 15:53 bugmaster Status tested => verified
2017-03-24 15:53 bugmaster Resolution open => fixed
2017-05-12 11:36 git Note Added: 0065928
2017-09-29 16:20 aiv Fixed in Version => 7.2.0
2017-09-29 16:25 aiv Status verified => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker